# vim-markdown-navigation

Enable navigation of in-document links in Vim editor for Markdown documents.

This plugin is intended to work in conjunction with [vim-markdown](https://github.com/plasticboy/vim-markdown) but will work standalone as well.


## Installation

Copy markdown.vim to ~/.vim/after/ftplugin/


## Testing

A useful document to test this with is [README.md with TOC](https://github.com/ekalinin/envirius/blob/24ea3be0d3cc03f4235fa4879bb33dc122d0ae29/README.md) by ekalinin 


## Usage

Simply move the cursor over a link and press *K* (shift-k).


## Recommended

For convenient generation of tables of contents for Markdown documents the following are recommended:

[vim-markdown-toc](https://github.com/mzlogin/vim-markdown-toc) - Vim plugin capable of generating tables of contents in GitHub, GitLab, and Redcarpet flavored markdown.

[github-markdown-toc](https://github.com/ekalinin/github-markdown-toc.go) - Standalone program with many features that generates tables of contents.


## Authors

User *novum* on freenode IRC channel #vim


## Credits

All of the helpful people on the freenode #vim channel.

